/**
 * (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
 * Authentication Login Model.
 * Provide storage for information needed for login page.
 */

define([], function() {"use strict";

    var Login = ( function() {

        function Login() {

            var allowLocalLogin, defaultProvider, providerInfos = null, initialPasswordInfo = null;

            this.getAllowLocalLogin = function() {
                return allowLocalLogin;
            };

            this.setAllowLocalLogin = function(value) {
                allowLocalLogin = value;
            };

            this.getProviderInfos = function() {
                return providerInfos;
            };

            this.setProviderInfos = function(value) {
                providerInfos = value;
            };

            this.getDefaultProvider = function() {
                return defaultProvider;
            };

            this.setDefaultProvider = function(value) {
                defaultProvider = value;
            };

            this.setInitialPasswordInfo = function(value) {
                initialPasswordInfo = value;
            };

            this.getInitialPasswordInfo = function() {
                return initialPasswordInfo;
            };



        }

        return new Login();

    }());

    return Login;

});
